:-----------------------------------------------------------------------:
:  Ann's Math Tutor 2.2 Install.bat Copyright (c) 8 June 1992           :
:  All Rights Reserved. Ted Turner for Custom Data Systems.              :
:-----------------------------------------------------------------------:

echo off
break on
verify on
echo %0 %1 %2 %3 %4 %5 %6 %7 %8 %9
goto start

:----------------------- start of error routines ----------------------

:errdo1
echo    ERROR 1 -- the parameter input was not a valid drive letter.
echo    Ann's Math Tutor 2.2 files will not install properly.
echo    You entered %1 as the target drive.        
echo    This bat file will install on drives A through G if present.
goto end


:errdo3
echo    ERROR 3 -- the target directory \mathtutr on drive %1 was not empty.
echo    Ann's Math Tutor 2.2 files will not be installed.
echo    You entered %1 as the target drive.        
echo    Please check that \mathtutr on drive %1 is a valid destination.        
echo    This bat file will install on drives A through G if present.
goto end

:errdo5
echo    ERROR 5 -- missing drive letter.
echo    You must specify a valid target drive letter.                      
echo    Please retype the install command like this,   install x
echo    where x is the drive letter.                       
echo    This bat file will install on drives A through G if present.
goto end

:errdo6
echo    ERROR 6 -- too many parameters specified.
echo    you typed %0 %1 %2 %3 %4 %5 %6 %7 %8 %9
echo    You must specify just one target drive letter.                      
echo    Please retype the install command like this,   install x
echo    where x is the drive letter.                      
echo    This bat file will install on drives A through G if present.
goto end

:errdo7

echo    ERROR 7 -- cannot access the target drive specified.
echo    You entered %1 as the target drive.        
echo    Please check that \mathtutr on drive %1 is a valid destination.        
echo    Please retype the install command like this,   install x
echo    where x is the drive letter.                       
echo    This bat file will install on drives A through G if present.
goto end



:errlv0
echo error level 0 -- successful completion of xcopy command.
goto end

:errlv1
echo error level 1 -- xcopy found no files to copy.
goto errdo7

:errlv2
echo error level 2 -- xcopy terminated by control c.
goto errdo7

:errlv3
echo error level 3 -- xcopy failed with an error.
goto errdo7


:errlv4
echo error level 4 -- xcopy initialization error, not enough space or memory, 
echo               -- invalid drive, or command line syntax, file not found,  
echo               -- or path not found.
goto errdo7

:errlv5
echo error level 5 -- Int 24 error occurred, you aborted/failed from
echo               -- disk/diskette read or write error.
echo               -- If diskette please check that it is inserted securely
echo               -- and that it is formatted and not write protected.
goto errdo7

:errlv6
echo error level 6
goto errdo7


:errlv7
echo error level 7
goto errdo7


:errlv8
echo error level 8
goto errdo7

:errlv9 
echo error level 9
goto errdo7


:errlv10
echo error level 10
goto errdo7


:errlv11
echo error level 11
goto errdo7


:errlv12
echo error level 12
goto errdo7


:errlv13
echo error level 13
goto errdo7


:errlv14
echo error level 14
goto errdo7


:errlv15
echo error level 15
goto errdo7






:----------------------- end of error routines ----------------------
:----------------------- start of install logic ---------------------
:-----------edit for drive letter and branch to copy logic ----------

:start
: error five checks for missing drive letter.
if "%1" == "" goto errdo5

: error six checks for two many parameters.
if not "%2"  == "" goto errdo6

set todrive = %1               
if %1 == a  goto doa               
if %1 == a: goto doa              
if %1 == A  goto doa             
if %1 == A: goto doa               
if %1 == b  goto dob               
if %1 == b: goto dob              
if %1 == B  goto dob               
if %1 == B: goto dob               
if %1 == c  goto doc               
if %1 == c: goto doc               
if %1 == C  goto doc               
if %1 == C: goto doc               
if %1 == d  goto dod           
if %1 == d: goto dod               
if %1 == D  goto dod               
if %1 == D: goto dod               
if %1 == e  goto doe                
if %1 == e: goto doe                
if %1 == E  goto doe               
if %1 == E: goto doe               
if %1 == f  goto dof           
if %1 == f: goto dof               
if %1 == F  goto dof               
if %1 == F: goto dof               
if %1 == g  goto dog                
if %1 == g: goto dog                
if %1 == G  goto dog               
if %1 == G: goto dog               
goto errdo1
:--------------------- end of edit drive letter logic -------------

:------- start the copy logic, separate paragraph for each drive ------- 

: ----------------------- installing on drive A ------------------------
:doa
echo off
xcopy maketutr.dir a:\mathtutr\ /s /e
: will create mathtutr directory on target drive and get 
: error level 1 for not finding a file to copy
: 2 = control c by user, 4 initialization error, 5 int 24 occurred

IF ERRORLEVEL 5  GOTO errlv5  
IF ERRORLEVEL 4  GOTO errlv4 
IF ERRORLEVEL 3  GOTO errlv3
IF ERRORLEVEL 2  GOTO errlv2

: check for preexisting files in this directory if it was already there
if exist a:\mathtutr\*.* goto errdo3

: move the files to target drive
xcopy *.* a:\mathtutr\  /v  
IF ERRORLEVEL 5  GOTO errlv5  
IF ERRORLEVEL 4  GOTO errlv4 
IF ERRORLEVEL 3  GOTO errlv3
IF ERRORLEVEL 2  GOTO errlv2
IF ERRORLEVEL 1  GOTO errlv1

: path over to the new directory and execute it
a:
cd a:\mathtutr
mathtutr
goto end


: ----------------------- installing on drive B ------------------------
:dob
echo off
xcopy maketutr.dir b:\mathtutr\ /s /e
: will create mathtutr directory on target drive and get 
: error level 1 for not finding a file to copy
: 2 = control c by user, 4 initialization error, 5 int 24 occurred

IF ERRORLEVEL 5  GOTO errlv5  
IF ERRORLEVEL 4  GOTO errlv4 
IF ERRORLEVEL 3  GOTO errlv3
IF ERRORLEVEL 2  GOTO errlv2

: check for preexisting files in this directory if it was already there
if exist b:\mathtutr\*.* goto errdo3

: move the files to target drive
xcopy *.* b:\mathtutr\  /v  
IF ERRORLEVEL 5  GOTO errlv5  
IF ERRORLEVEL 4  GOTO errlv4 
IF ERRORLEVEL 3  GOTO errlv3
IF ERRORLEVEL 2  GOTO errlv2
IF ERRORLEVEL 1  GOTO errlv1

: path over to the new directory and execute it
b:
cd b:\mathtutr
mathtutr
goto end


: ----------------------- installing on drive c ------------------------
:doc
echo off
xcopy maketutr.dir c:\mathtutr\ /s /e
: will create mathtutr directory on target drive and get 
: error level 1 for not finding a file to copy
: 2 = control c by user, 4 initialization error, 5 int 24 occurred

IF ERRORLEVEL 5  GOTO errlv5  
IF ERRORLEVEL 4  GOTO errlv4 
IF ERRORLEVEL 3  GOTO errlv3
IF ERRORLEVEL 2  GOTO errlv2

: check for preexisting files in this directory if it was already there
if exist c:\mathtutr\*.* goto errdo3

: move the files to target drive
xcopy *.* c:\mathtutr\  /v  
IF ERRORLEVEL 5  GOTO errlv5  
IF ERRORLEVEL 4  GOTO errlv4 
IF ERRORLEVEL 3  GOTO errlv3
IF ERRORLEVEL 2  GOTO errlv2
IF ERRORLEVEL 1  GOTO errlv1

: path over to the new directory and execute it
c:
cd c:\mathtutr
mathtutr
goto end


: ----------------------- installing on drive D ------------------------
:dod
echo off
xcopy maketutr.dir d:\mathtutr\ /s /e
: will create mathtutr directory on target drive and get 
: error level 1 for not finding a file to copy
: 2 = control c by user, 4 initialization error, 5 int 24 occurred

IF ERRORLEVEL 5  GOTO errlv5  
IF ERRORLEVEL 4  GOTO errlv4 
IF ERRORLEVEL 3  GOTO errlv3
IF ERRORLEVEL 2  GOTO errlv2

: check for preexisting files in this directory if it was already there
if exist d:\mathtutr\*.* goto errdo3

: move the files to target drive
xcopy *.* d:\mathtutr\  /v  
IF ERRORLEVEL 5  GOTO errlv5  
IF ERRORLEVEL 4  GOTO errlv4 
IF ERRORLEVEL 3  GOTO errlv3
IF ERRORLEVEL 2  GOTO errlv2
IF ERRORLEVEL 1  GOTO errlv1

: path over to the new directory and execute it
d:
cd d:\mathtutr
mathtutr
goto end


: ----------------------- installing on drive E ------------------------
:doe
echo off
xcopy maketutr.dir e:\mathtutr\ /s /e
: will create mathtutr directory on target drive and get 
: error level 1 for not finding a file to copy
: 2 = control c by user, 4 initialization error, 5 int 24 occurred

IF ERRORLEVEL 5  GOTO errlv5  
IF ERRORLEVEL 4  GOTO errlv4 
IF ERRORLEVEL 3  GOTO errlv3
IF ERRORLEVEL 2  GOTO errlv2

: check for preexisting files in this directory if it was already there
if exist e:\mathtutr\*.* goto errdo3

: move the files to target drive
xcopy *.* e:\mathtutr\  /v  
IF ERRORLEVEL 5  GOTO errlv5  
IF ERRORLEVEL 4  GOTO errlv4 
IF ERRORLEVEL 3  GOTO errlv3
IF ERRORLEVEL 2  GOTO errlv2
IF ERRORLEVEL 1  GOTO errlv1

: path over to the new directory and execute it
e:
cd e:\mathtutr
mathtutr
goto end


: ----------------------- installing on drive F ------------------------
:dof
echo off
xcopy maketutr.dir f:\mathtutr\ /s /e
: will create mathtutr directory on target drive and get 
: error level 1 for not finding a file to copy
: 2 = control c by user, 4 initialization error, 5 int 24 occurred

IF ERRORLEVEL 5  GOTO errlv5  
IF ERRORLEVEL 4  GOTO errlv4 
IF ERRORLEVEL 3  GOTO errlv3
IF ERRORLEVEL 2  GOTO errlv2

: check for preexisting files in this directory if it was already there
if exist f:\mathtutr\*.* goto errdo3

: move the files to target drive
xcopy *.* f:\mathtutr\  /v  
IF ERRORLEVEL 5  GOTO errlv5  
IF ERRORLEVEL 4  GOTO errlv4 
IF ERRORLEVEL 3  GOTO errlv3
IF ERRORLEVEL 2  GOTO errlv2
IF ERRORLEVEL 1  GOTO errlv1

: path over to the new directory and execute it
f:
cd f:\mathtutr
mathtutr
goto end


: ----------------------- installing on drive G ------------------------
:dog
echo off
xcopy maketutr.dir g:\mathtutr\ /s /e
: will create mathtutr directory on target drive and get 
: error level 1 for not finding a file to copy
: 2 = control c by user, 4 initialization error, 5 int 24 occurred

IF ERRORLEVEL 5  GOTO errlv5  
IF ERRORLEVEL 4  GOTO errlv4 
IF ERRORLEVEL 3  GOTO errlv3
IF ERRORLEVEL 2  GOTO errlv2

: check for preexisting files in this directory if it was already there
if exist g:\mathtutr\*.* goto errdo3

: move the files to target drive
xcopy *.* g:\mathtutr\  /v  
IF ERRORLEVEL 5  GOTO errlv5  
IF ERRORLEVEL 4  GOTO errlv4 
IF ERRORLEVEL 3  GOTO errlv3
IF ERRORLEVEL 2  GOTO errlv2
IF ERRORLEVEL 1  GOTO errlv1

: path over to the new directory and execute it
g:
cd g:\mathtutr
mathtutr
goto end

: ---------------------- end of copy logic ------------------------
: ---------------------- termination logic ------------------------

:end
break off
verify off
@echo on

